Emarsys Facade

Emarsys Facade

1.0.0OAS 3.0

Facade for Emarsys email campaign tool in the Nexus project.

You cannot consume this API and won’t get access to it. You do not need to read that documentation if you are not Emarsys. So: Go away. Now!

The following documents the parameters and fields for the different domains as well as some details.

Coupons

Parameters:

  • Couponids (required): single CouponID or comma-separated list of IDs
  • Lang (optional, dflt ‘de’): Language (‘de’, ‘fr’ or ‘it’)

Fields:

  • name
  • start_date
  • end_date
  • disclaimer
  • image
  • discount_amount
  • discount_amount_value
  • preview

Discounts

Only the ‘national’ variant of a discount is returned. Regional only discounts will fail to resolve. TODO: This might change once project Nexus decides on how to implement discounts.
Parameters:

  • Discountids (required): single DiscountID or comma-separated list of IDs
  • Lang (optional, dflt ‘de’): Language (‘de’, ‘fr’ or ‘it’)

Fields:

  • type
  • type_id
  • reduction_type_id
  • advertisement_type_id
  • price
  • amount
  • hint
  • description
  • reference_product_id
  • minimum_pieces
  • collective
  • relative
  • points_relative
  • image
  • original_price
  • cumulus_points

Products

Parameters:

  • Artikelids (required): single ProductID or comma-separated list of IDs
  • Lang (optional, dflt ‘de’): Language (‘de’, ‘fr’ or ‘it’)

Fields:

  • name
  • description
  • price
  • image
API Base URL
  • Server 1:https://api.migros.ch

    URL of upstream

Security
Basic-Auth (http)

Kong basic-auth authentication

Kong-Api-Key (apiKey)

Kong key-auth authentication

Additional Information
Contact MGB-UDP-Business-Services (arg_mgb-udp-business-services@mgb.ch)

Emarsys

Access to data

This endpoint implements the Emarsys protocol needed to personalize marketing emails.

This endpoint is expected to change in incompatible ways until v1 is reached.

post
https://api.migros.ch/migros/marketing/campaigns/v1/emarsys/{domain}

Path Parameters

domainstringrequired

The domain to retrieve data from.
For products you may query one product by its id. For coupons you may query one coupon by its id. TODO: probably will need “usercoupons”: all coupons attributed to a cumulus nr. For discounts you may query one discount by its id.

Allowed values:productscouponsdiscounts

Example:products

Body

application/json

Emarsys POST request body

EmarsysRequest

Emarsys request

fieldsarray[string]required
limitinteger

>= 1<= 10

parametersarray[object]required

Response

application/json

Data of the domain selected by the POST body.

EmarsysResponse

Emarsys compatible response

contentarray[object]required
post/migros/marketing/campaigns/v1/emarsys/{domain}

Body

{ "fields": [], "parameters": [ {} ] }
 
application/json